# 대량전송 계약 시작

* 계약 대량 전송을 시작합니다.
* 대량 계약시 서명 순서는 서식을 작성 할 때 설정한 단계에 따라 고객, 담당자가 문서를 받을 순서가 결정됩니다. (1단계만 설정 시 고객에게만 전달) 담장자는 생성자로 고정되며 고객정보는 unset\_player\_list 에 들어간 값으로 결정됩니다. unset\_player\_list에 들어있는 모든 고객에게 계약이 발전송니다.
* 참조자는 서식에 등록되어있는 계정을 따라가며 따로 설정하지않습니다.
* 2단계C 의 경우 담당자 항목이 없기때문에 고객 B의 정보를 추가로 기입해야하기때문에 Body에 \
  customer\_list*파라미터를 추가 기입하여 설정 해 주셔야합니다.*
* 2단계C의 경우\
  고객 ( unset\_player\_list ) → 고객 B ( customer\_list )

## API 주소 정보&#x20;

| Url                                        | Type | **Code** |
| ------------------------------------------ | ---- | -------- |
| <https://docs.esignon.net/JEDOC/Common.do> | POST | 1410Q    |

## Request

### Parameters

#### &#x20;Headers

| **Parameter Name** | DataType | Required | **Description**   |
| ------------------ | -------- | -------- | ----------------- |
| Content-Type       | String   | Required | application/json  |
| Authorization      | String   | Required | esignon ${발급받은토큰} |

#### &#x20; Body&#x20;

&#x20; Body - Header Parameter

| **Parameter Name** | DataType | Required | **Description**                  |
| ------------------ | -------- | -------- | -------------------------------- |
| request\_code      | String   | Required | "1410Q"(API 고유 코드)               |
| request\_msg       | String   | Optional | "Work Flow Bulk Sending를 시작합니다." |
| session\_id        | String   | Required | "thread\_023"                    |
| version            | String   | Required | "9.9.99"                         |

&#x20; Body - Body Parameter

| **Parameter Name**                           | DataType | Required | **Description**                                                            |
| -------------------------------------------- | -------- | -------- | -------------------------------------------------------------------------- |
| comp\_id                                     | String   | Required | 회사 ID / companyId                                                          |
| biz\_id                                      | String   | Required | "0"                                                                        |
| memb\_email                                  | String   | Required | 생성자 이메일                                                                    |
| workflow\_name                               | String   | Required | <p>unset\_player\_list.workflow\_name 이름을</p><p>설정하지 않을경우 기본으로 지정되는 문서</p> |
| workflow\_lib\_id                            | String   | Required | <p>서식을 생성하면 생성되는 lid\_id<br>서식ID와는 다른값입니다.</p><p>(서식목록조회에서 확인가능합니다.)</p>   |
| unset\_player\_list                          | Data     | Required | 서명하는 고객의 정보를 입력                                                            |
| unset\_player\_list.memb\_id\_type           | String   | Required | "EMail" or "Mobile"                                                        |
| unset\_player\_list.email                    | String   | Required | <p>memb\_id\_type 에 따라 </p><p>이메일 or 전화번호</p>                              |
| unset\_player\_list.name                     | String   | Required | 계약 진행자 이름                                                                  |
| unset\_player\_list.language                 | String   | Optional | "ko-KR","en-US","ja-JP"                                                    |
| unset\_player\_list.workflow\_name           | String   | Optional | 문서명 ( 계약서 이름 )                                                             |
| unset\_player\_list.enable\_mobile\_cert     | String   | Required | 휴대폰 인증 기능 "true or false"                                                  |
| unset\_player\_list.mobile\_number           | String   | Required | 본인인증에 사용할 번호 / - 없이                                                        |
| unset\_player\_list.enable\_password\_cert   | String   | Required | 비밀번호 인증 기능 "true or false"                                                 |
| unset\_player\_list.password\_hint           | String   | Required | 비밀번호 힌트                                                                    |
| unset\_player\_list.password                 | String   | Required | 비밀번호                                                                       |
| unset\_player\_list.field\_list              | Data     | Required | <p>미리 설정할 값이 있을경우 입력</p><p>여러개 설정가능.</p>                                   |
| unset\_player\_list.field\_list.doc\_id      | String   | Required | 서식 ID                                                                      |
| unset\_player\_list.field\_list.field\_name  | String   | Required | 서식 필드 이름                                                                   |
| unset\_player\_list.field\_list.field\_value | String   | Required | 서식 필드                                                                      |
| comment                                      | String   | Required | 전달할 메세                                                                     |
| enable\_legal\_agreement                     | String   | Required | "false"                                                                    |
| customer\_list                               | Data     | Optional | <p>서식의 설정이 2단계 C일 경우에 설정</p><p>고객 B의 정보</p>                                |
| customer\_list.memb\_id\_type                | String   | Required | "EMail" or "Mobile"                                                        |
| customer\_list.email                         | String   | Required | <p>memb\_id\_type 에 따라 </p><p>이메일 or 전화번호</p>                              |
| customer\_list.name                          | String   | Required | 계약 진행자 이름                                                                  |
| customer\_list.language                      | String   | Optional | "ko-KR","en-US","ja-JP"                                                    |
| customer\_list.enable\_mobile\_cert          | String   | Required | 휴대폰 인증 기능 "true or false"                                                  |
| customer\_list.mobile\_number                | String   | Required | 본인인증에 사용할 번호 / - 없이                                                        |
| customer\_list.enable\_password\_cert        | String   | Required | 비밀번호 인증 기능 "true or false"                                                 |
| customer\_list.password\_hint                | String   | Required | 비밀번호 힌트                                                                    |
| customer\_list.password                      | String   | Required | 비밀번호                                                                       |

## 요청 Body 예시)

```javascript
{
  "header": {
    "request_code": "1410Q",
    "api_name": "Work Flow Bulk Sending를 시작합니다.",
    "session_id": "",
    "version" : "9.9.99"
  },
  "body": {
    "comp_id": "{회사 ID}",
    "biz_id": "0",
    "memb_email": "{ 사용자 이메일 }",
    "workflow_lib_id": "{ 서식의 lib_id }",
    "workflow_name": "",
    "unset_player_list": [{
        "memb_id_type" : "{ EMail or Mobile }",
        "email": "{ memb_id_type 에 따라 번호나 이메일 }",
        "name" : "{ 받는 사람 이름 }",
        "language": "{ko-KR or ja-JP or en-US}",
        "workflow_name" : "{서식 이름}",
        "enable_mobile_cert" : "{ 휴대폰 본인인증 여부 true or false }",
        "mobile_number" : "{ 본인 인증에 사용할 전화번호 }",
        "enable_password_cert":"{true or false}",
	      "password_hint":"{계약자가 볼 비밀번호 힌트}",  		
	      "password":"{설정할 문서 비밀번호}",
        "field_list": [{
      				"doc_id": "{ 서식 ID }",
      				"field_name": "{ 서식 필드명 }",
      				"field_value": "{ 서식 필드 값 }"
			  }]
      }],
    	"customer_list": [{
        "memb_id_type": "{ 2단계 C 서식 사용시에만 기입해주세요 }",
			  "email": "",
			  "name": "",
			  "language": "",
        "enable_mobile_cert":"",
        "mobile_number":"",
        "enable_password_cert":"",
        "password_hint":"",  		
        "password":""
		}],
    "comment": "",
    "enable_legal_agreement":"false"
  }
}
```

## Response

| Code | **Description** | **Reference**              |
| ---- | --------------- | -------------------------- |
| 200  | 성공              | 형식이 잘못 된 경우 result\_msg 참조 |
| 400  | 연결 실패           |                            |

#### Result\_msg

| Code | **Description** | **Reference**                         |
| ---- | --------------- | ------------------------------------- |
| 00   | 성공              | 성공                                    |
| -1   | 실패              | 수신 메세지의 Body 정보가 잘못된 형태여서 파싱하지 못했습니다. |
| 10   | 실패              | 해당 Work Flow Library가 존재하지 않습니다.      |
| 11   | 실패              | 실패하였습니다.                              |
| 12   | 실패              | 허용된 저장 용량이 초과되었습니다                    |
| 13   | 실패              | 가능한 문서 수를 초과합니다.                      |
| 14   | 실패              | 이용기간이 만료되었습니다.                        |
| 15   | 실패              | 작성자 설정이 올바르지 않습니다.                    |

## 응답 Body 예시)

```javascript
}
	"body":{
		"workflow_list":[{
			"workflow_id": "{문서ID}",
			"unset_player_email": "{서명자 이메일 or 전화번호}",
			"unset_player_name": "{서명자 이름}",
			"result": "OK",
			"description": "",
			"workflow_name": "{서식 이름}",
			"token": "{인증 토큰 코드}",
			"lang": "ko-KR",
			"reg_date": "{회사 결제 갱신일}"}],
			"comp_id": "{회사 ID}",
			"biz_id": "0",
			"memb_email": "{생성자 이메일}",
			"workflow_lib_id": "{서식 lib_id}"
			},
	"header":{
		"session_id": "thread_023",
		"response_code": "1410A",
		"result_code": "00",
		"result_msg": "Work Flow bulk Sending이 시작됩니다.",
		"version": "9.9.99"
	}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/kor_20210407/workflow/start/bulkstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
